org.keycloak.models

## Interface ApplicationModel

- All Superinterfaces:
    ClientModel, RoleContainerModel
  All Known Implementing Classes:
    ApplicationAdapter, ApplicationAdapter, ApplicationAdapter

      public interface ApplicationModel
      extends RoleContainerModel, ClientModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from interface org.keycloak.models.ClientModel

      `PRIVATE_KEY, PUBLIC_KEY, X509CERTIFICATE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefaultRole(String name)`
    `Set<RoleModel>` | `getApplicationScopeMappings(ClientModel client)`
    `String` | `getBaseUrl()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `int` | `getNodeReRegistrationTimeout()`
    `Map<String,Integer>` | `getRegisteredNodes()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isSurrogateAuthRequired()`
    `void` | `registerNode(String nodeHost, int registrationTime)` Register node or just update the 'lastReRegistration' time if this node is already registered
    `void` | `setBaseUrl(String url)`
    `void` | `setBearerOnly(boolean only)`
    `void` | `setManagementUrl(String url)`
    `void` | `setName(String name)`
    `void` | `setNodeReRegistrationTimeout(int timeout)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`
    `void` | `unregisterNode(String nodeHost)`
    `void` | `updateApplication()`
    `void` | `updateDefaultRoles(String[] defaultRoles)`

    - ### Methods inherited from interface org.keycloak.models.RoleContainerModel

      `addRole, addRole, getRole, getRoles, removeRole`

    - ### Methods inherited from interface org.keycloak.models.ClientModel

      `addRedirectUri, addScopeMapping, addWebOrigin, deleteScopeMapping, getAllowedClaimsMask, getAttribute, getAttributes, getClientId, getId, getNotBefore, getProtocol, getRealm, getRealmScopeMappings, getRedirectUris, getScopeMappings, getSecret, getWebOrigins, hasScope, isDirectGrantsOnly, isEnabled, isFullScopeAllowed, isPublicClient, removeAttribute, removeRedirectUri, removeWebOrigin, setAllowedClaimsMask, setAttribute, setDirectGrantsOnly, setEnabled, setFullScopeAllowed, setNotBefore, setProtocol, setPublicClient, setRedirectUris, setSecret, setWebOrigins, validateSecret`

- - ### Method Detail

    - #### updateApplication

          void updateApplication()

    - #### getName

          String getName()

    - #### setName

          void setName(String name)

    - #### isSurrogateAuthRequired

          boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getManagementUrl

          String getManagementUrl()

    - #### setManagementUrl

          void setManagementUrl(String url)

    - #### getBaseUrl

          String getBaseUrl()

    - #### setBaseUrl

          void setBaseUrl(String url)

    - #### getDefaultRoles

          List<String> getDefaultRoles()

    - #### addDefaultRole

          void addDefaultRole(String name)

    - #### updateDefaultRoles

          void updateDefaultRoles(String[] defaultRoles)

    - #### getApplicationScopeMappings

          Set<RoleModel> getApplicationScopeMappings(ClientModel client)

    - #### isBearerOnly

          boolean isBearerOnly()

    - #### setBearerOnly

          void setBearerOnly(boolean only)

    - #### getNodeReRegistrationTimeout

          int getNodeReRegistrationTimeout()

    - #### setNodeReRegistrationTimeout

          void setNodeReRegistrationTimeout(int timeout)

    - #### getRegisteredNodes

          Map<String,Integer> getRegisteredNodes()

    - #### registerNode

          void registerNode(String nodeHost,
                          int registrationTime)

      Register node or just update the 'lastReRegistration' time if this node is already registered
      Parameters:
        `nodeHost` -
        `registrationTime` -

    - #### unregisterNode

          void unregisterNode(String nodeHost)

Copyright © 2015. All Rights Reserved.